#!/bin/sh

# Poprawka do modulu generujacego mapy w LMS-ie dajaca mozliwosc odwzorowania
# roznych typow polaczen miedzy dwoma urzadzeniami. Do wyboru s:
# - skretka 100mbit (domyslny typ polaczenia)
# - bezprzewodowe (wbudowane w LMSa)
# - swiatlowodowe
# - skretka 1gbit
# - modemowe
# - skretka 10mbit
# - przewieszka
# Typ polaczenia ustala sie  za pomoca rozwijanej listy (przy podlaczaniu
# nowego urzadzenia) lub klikajac na ikonie symbolizujacej typ polaczenia
# w ramce z podlaczonymi urzadzeniami (polaczenie juz istniejace).

# by Emers (emers[at]euro-net[dot]pl)
# ver 1.0

lmsini="/etc/lms/lms.ini"
TMP=/tmp

#----------------------------------------------------
CURRDIR=`pwd`
if [ ! -f $lmsini ]; then
    dialog --beep --msgbox "LMS nie jest zainstalowany!" 5 40
    exit 0
fi
sysdir=`cat /etc/lms/lms.ini|grep sys_dir|cut -d '=' -f 2`

dialog --inputbox "Wybierz ciek do katalogu LMS-a" 8 50 $sysdir 2> $TMP/sysdir

sysdir=`cat $TMP/sysdir`
rm -f $TMP/sysdir

rm -f $TMP/tmpscript

cat << EOF > $TMP/tmpscript
dialog --single-quoted --checklist "Wybierz patche do zainstalowania" \\
21 80 14 \\
"map"         	  "Umoliwia odwzorowanie rnych typw pocze" off \\
2> $TMP/reply
EOF

. $TMP/tmpscript

if [ ! $? = 0 ]; then
    rm -f $TMP/reply $TMP/tmpscript
    exit
fi

cd $sysdir
for pacze in `cat $TMP/reply`; do
    case "$pacze" in
    'map')
	cd $sysdir/img
	cp $CURRDIR/10mbit.gif 10mbit.gif
	cp $CURRDIR/gigabit.gif gigabit.gif
	cp $CURRDIR/laser.gif laser.gif
	cp $CURRDIR/modem.gif modem.gif
	cp $CURRDIR/onair.gif onair.gif
	cd $sysdir/templates
	cp netdevconnbox.html netdevconnbox.bak.html
	patch netdevconnbox.html $CURRDIR/netdevconnbox.patch
	cd $sysdir/modules
	cp netdevmap.php netdevmap.bak.php
	patch netdevmap.php $CURRDIR/netdevmap.patch
	cd $sysdir/lib/locale/pl
	cp strings.php strings.bak.php
	patch strings.php $CURRDIR/strings1.patch

esac
done

#dialog --msgbox "Wybrane patche zostay zainstalowane" 5 50

rm -f $TMP/tmpscript
rm -f $TMP/reply
